Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.edm.services.configuration
Class ScreenObject

    java.lang.Object
      com.sun.mdm.index.edm.services.configuration.ScreenObject

All Implemented Interfaces:
  java.io.Serializable

public class ScreenObject
extends java.lang.Object
implements java.io.Serializable

ScreenObject class representing MIDM screens.

See Also:
  Serialized Form

Constructor Summary
`ScreenObject(java.lang.Integer id, java.lang.String displayTitle, ObjectNodeConfig rootObj, int displayOrder, java.util.ArrayList sScreensConfig, java.util.ArrayList sResultsConfig, java.util.ArrayList subscreensConfig)` Creates a new instance of the ScreenObject class

Method Summary
`int` | `getDisplayOrder()` Getter for the mDisplayOrder attribute
`java.lang.String` | `getDisplayTitle()` Getter for the mDisplayTitle attribute
`java.lang.Integer` | `getID()` Getter for the mID attribute
`ObjectNodeConfig` | `getRootObj()` Getter for the mRootObj attribute
`java.util.ArrayList` | `getSearchResultsConfig()` Getter for the mSearchResultsConfig attribute
`SearchResultsConfig` | `getSearchResultsConfig(int srID)` Retrieves the SearchResultsConfig object whose search results ID matches the srID paramter.
`java.util.ArrayList` | `getSearchScreensConfig()` Getter for the mSearchScreensConfig attribute
`java.util.ArrayList` | `getSubscreensConfig()` Getter for the mSubscreensConfig attribute
`void` | `setEuidLength(int length)` Sets the length of an EUID field.
`void` | `setSearchScreensConfig(java.util.ArrayList sscObjs)` Setter for the mSearchScreensConfig attribute
`void` | `setSubscreensConfig(java.util.ArrayList subsObjs)` Setter for the mSubscreensConfig attribute

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScreenObject

    public ScreenObject(java.lang.Integer id,
                        java.lang.String displayTitle,
                        ObjectNodeConfig rootObj,
                        int displayOrder,
                        java.util.ArrayList sScreensConfig,
                        java.util.ArrayList sResultsConfig,
                        java.util.ArrayList subscreensConfig)

  Creates a new instance of the ScreenObject class

  Parameters:
    `id` - The screen ID.
    `displayTitle` - The screen title.
    `rootObj` - The object configuration.
    `displayOrder` - The order in which the screen dashboard title is to be displayed on the dashboard.
    `sScreensConfig` - The ArrayList containg SearchScreensConfig objects that specify how to display the search criteria for a search screen.
    `sResultsConfig` - The ArrayList containg SearchResultsConfig objects that specify how to display the search results in a search screen. field configuration information.
    `subscreensConfig` - The ArrayList containg ScreenObject objects that define the subscreens for an instance of this class.

Method Detail

### getDisplayOrder

    public int getDisplayOrder()

  Getter for the mDisplayOrder attribute

  Returns:
    The order in which the title is to be displayed on the dashboard for the screen represented by this object. A value of 0 indicates it will be the leftmost title to be displayed. A value of 1 indicates it will be the second title from the left, etc.

### getDisplayTitle

    public java.lang.String getDisplayTitle()

  Getter for the mDisplayTitle attribute

  Returns:
    The display title for the screen represented by this object.

### getID

    public java.lang.Integer getID()

  Getter for the mID attribute

  Returns:
    An integer uniquely identifying the screen represented by this object.

### getRootObj

    public ObjectNodeConfig getRootObj()

  Getter for the mRootObj attribute

  Returns:
    Configuration image for the root object.

### getSearchResultsConfig

    public java.util.ArrayList getSearchResultsConfig()

  Getter for the mSearchResultsConfig attribute

  Returns:
    The ArrayList of SearchResultsConfig objects defining how the fields of a search result will be displayed.

### getSearchResultsConfig

    public SearchResultsConfig getSearchResultsConfig(int srID)
                                               throws java.lang.Exception

  Retrieves the SearchResultsConfig object whose search results ID matches the srID paramter.

  Parameters:
    `srID` - This is the ID of the SearchResultsConfig object that is to be returned.
  Returns:
    the SearchResultsConfig object whose ID matches the srID paramter.
  Throws:
    `java.lang.Exception` - if any errors are encountered.

### getSearchScreensConfig

    public java.util.ArrayList getSearchScreensConfig()

  Getter for the mSearchScreensConfig attribute

  Returns:
    The ArrayList of SearchScreensConfig objects defining how the fields of a search result will be displayed.

### getSubscreensConfig

    public java.util.ArrayList getSubscreensConfig()

  Getter for the mSubscreensConfig attribute

  Returns:
    The ArrayList of ScreenObjects objects defining the subscreens of this object..

### setEuidLength

    public void setEuidLength(int length)

  Sets the length of an EUID field. This should be invoked after the ConfigManager has successfully initialized and a connection to the MasterController has been obtained (the EUID length is obtained from the MasterController). An EUID field is any field that starts with "EUID", such as "EUID", "EUID1", or "EUID2".

  Parameters:
    `length` - This is the length of the EUID field.

### setSearchScreensConfig

    public void setSearchScreensConfig(java.util.ArrayList sscObjs)

  Setter for the mSearchScreensConfig attribute

### setSubscreensConfig

    public void setSubscreensConfig(java.util.ArrayList subsObjs)

  Setter for the mSubscreensConfig attribute

  Parameters:
    `subsObjs` - This is an ArrayList of ScreenObjects objects defining the subscreens of this object.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.